Bug 1730322 - Block upgrades on environment using Sahara
Summary: Block upgrades on environment using Sahara
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 16.0 (Train)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 16.1 (Train on RHEL 8.2)
Assignee: Telles Nobrega
QA Contact: Sasha Smolyak
URL:
Whiteboard: docs-accepted
Depends On: 1794525
Blocks: 1777480
TreeView+ depends on / blocked
 
Reported: 2019-07-16 12:47 UTC by Gregory Charot
Modified: 2021-02-08 20:18 UTC (History)
17 users (show)

Fixed In Version: python-tripleoclient-12.3.1-0.20191202211445.46c5fb4.el8ost openstack-tripleo-common-11.3.2-0.20191224202635.69ea207.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-29 10:49:01 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Gregory Charot 2019-07-16 12:47:10 UTC
Description of problem:

Sahara being removed in OSP16 we need a mechanism to prevent 15-16 upgrade and FFU (13->16) for environment that enabled Sahara.

Version-Release number of selected component (if applicable):

16

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 14 Lon Hohberger 2020-02-13 11:40:58 UTC
According to our records, this should be resolved by python-tripleoclient-12.3.2-0.20200130192329.78ac810.el8ost.  This build is available now.

Comment 15 Lon Hohberger 2020-02-13 11:41:01 UTC
According to our records, this should be resolved by openstack-tripleo-common-11.3.3-0.20200121231250.3c68b48.el8ost.  This build is available now.

Comment 22 Luigi Toscano 2020-06-17 14:46:23 UTC
Following the preliminary instruction for upgrade from the latest 13.1 to a preliminary 16.1 beta, after upgrading the undercloud, when running `openstack overcloud upgrade prepare` (including the deployment parameters of 13, like the sahara environment), the job fails with an error message related to sahara not being supported:

2020-06-17 05:37:01.211 968793 ERROR openstack [-] Sahara should not be kept during this upgrade. If you want to have Sahara deployed you need to set EnableSahara parameter in a Heat environment file parameter to true, but it will not be supported and it will require additional configuration to provide the containers.: osc_lib.exceptions.CommandError: Sahara should not be kept during this upgrade. If you want to have Sahara deployed you need to set EnableSahara parameter in a Heat environment file parameter to true, but it will not be supported and it will require additional configuration to provide the containers.


python3-tripleoclient-12.3.2-0.20200606003431.ecf2241.el8ost.noarch
python3-tripleo-common-11.3.3-0.20200611110653.f7715be.el8ost.noarch
openstack-tripleo-heat-templates-11.3.2-0.20200608073443.f604618.el8ost.noarch


Note You need to log in before you can comment on or make changes to this bug.